<?php

namespace Modules\Reports\Start;

class View_Index extends \App\Mvc\View_Popup_FormAbstract
{

	/**
	 * The rendering Smarty template file.
	 * @var String
	 */
	protected $renderingTemplate =  null;


	public function render()
	{

		$reportTemplateEnt = \Entity\ReportTemplate::select($this->input['idReportTemplate']);
		$this->setPageTitle( sprintf( $this->lang['index']['pageTitle'], $reportTemplateEnt->name) );

		$this->input['formData']['idReportTemplate'] = $this->input['idReportTemplate'];
		$this->input['formData']['columnsManager'] = $this->input['columnsManager'];
		$this->input['formData']['filtersManager'] = $this->input['filtersManager'];
		return parent::render();
	}

}